import Bladex
import Objects
import ItemTypes
import Sounds
import Auras
import GameText
import MenuText
import darfuncs
import AuxFuncs
import pocimac
import Stars
import GenFX
import Reference
import LevelFuncs
import Actions
import EnemyTypes
import Ontake
import OnInitTake
import CharStats
import def_class
import Basic_Funcs
import Damage
import math


################################################fountains
sect2 = Bladex.GetSector(74000,-600,-3000)
sect2.OnEnter = HealUp

###############################################################################################
sect2x = Bladex.GetSector(74000,-800,-17000)
sect2x.OnEnter = PoisonPool

####################################################################################levelup skulls

o=Bladex.CreateEntity("Magicamulet","Skull",17323.156199,-208.234131673,99284.2293421, Reference.ObjType("Amuleto"))
o.Scale=1.0
o.Orientation=(0.742657065392,-0.116367153823,0.630216598511,0.19428370893)
darfuncs.SetHint(o,"Warrior Skull")

Ontake.AddOnTakeEvent("Magicamulet", Skull1up)
####################################################################################################################
o=Bladex.CreateEntity("Skull_1294","Skull",-71983.4667357,-19309.6152626,-21112.6350578, "Weapon")
o.Scale=1.0
o.Orientation=(0.672495901585,0.27668055892,0.495994329453,-0.474538475275)
darfuncs.SetHint(o,"Warrior Skull")

Ontake.AddOnTakeEvent("Skull_1294", Skull2up)
####################################################################################################################
o=Bladex.CreateEntity("Skull_640","Skull",32364.2701384,-20088.3764353,14093.1542121, "Weapon")
o.Scale=1.0
o.Orientation=(0.673901736736,0.408662438393,0.410665869713,-0.458481222391)
darfuncs.SetHint(o,"Warrior Skull")

Ontake.AddOnTakeEvent("Skull_640", Skull3up)
#####################################################################################################################
o=Bladex.CreateEntity("Skull_997","Skull",48975.6130921,-1645.44623576,-47482.2641018, "Weapon")
o.Scale=1.0
o.Orientation=(0.290068924427,0.450982928276,-0.792163014412,0.291465520859)
#darfuncs.SetHint(o,"Warrior Skull")

#Ontake.AddOnTakeEvent("Skull_997", Skull4up)
######################################################################################################################
o=Bladex.CreateEntity("Skull_64","Skull",33472.7330616,-1108.94391801,4304.78594724, "Weapon")
o.Scale=1.0
o.Orientation=(0.783161699772,0.336944371462,-0.101515397429,-0.512660562992)
darfuncs.SetHint(o,"Warrior Skull")

Ontake.AddOnTakeEvent("Skull_64", Skull5up)
####################################################################################################################

o=Bladex.CreateEntity("Magicamulet2","Amuleto",-68321,-1016.4757467,-42229, Reference.ObjType("Amuleto"))
o.Scale=1.0
o.Orientation=(0.746208488941,-0.0190880745649,0.665231764317,-0.0165910944343)
darfuncs.SetHint(o,"The Talisman of Ichor")
ItemTypes.ItemDefaultFuncs (o)
       
####################################################################################################################

o=Bladex.CreateEntity("Corona_326","Corona",48504.2270292,-1766.07267502,21075.7328476, Reference.ObjType("Corona"))
o.Scale=1.0
o.Orientation=(0.760844528675,0.648398637772,-0.0160466302186,-0.0209109541029)
ItemTypes.ItemDefaultFuncs (o)
###################################################################################################################
o=Bladex.CreateEntity("Magicamulet4","Amuletofantasma",29215,-19000,7776, Reference.ObjType("Amuletofantasma"))
o.Scale=1.0
o.Orientation=(0.742657065392,-0.116367153823,0.630216598511,0.19428370893)
darfuncs.SetHint(o,"Talisman of Ophiuchus")
ItemTypes.ItemDefaultFuncs (o)
o.Impulse(0,0,0)

###############################################magicweapons#################
		
o=Bladex.CreateEntity("MagicBlade","EspadaMagica1", 48823.6002719,-1390.81690936,8022.86129815,"Weapon")
o.Scale=1.0
o.Orientation=0.707107,-0.707107,0,0
#ItemTypes.ItemDefaultFuncs (o)
darfuncs.SetHint(o,"Sword of Prometheus")

Ontake.AddOnTakeEvent("MagicBlade", AuraSword1)

####################################################################################################################
###############Lightnigwand##################

o=Bladex.CreateEntity("LightningWand","Varita2",-4800,-8500,154888, "Weapon")
o.Scale=1.0
o.Orientation=(0.574469268322,-0.324469268322,-0.212096810341,-0.720915853977)
darfuncs.SetHint(o,"Lightning Mace")
o.Impulse(0,0,0)

luz1=Bladex.CreateEntity("Electric1","Entity Spot", -4800,-8600,15488)
luz1.Color=100,10,200
luz1.Intensity=1
luz1.Precission=0.125
luz1.CastShadows=0
luz1.Visible=0
luz1.Flick=1 
luz1.SizeFactor = 0.2
luz1.AngVel=0.1
luz1.GlowTexture="SunFlare"
o.Link(luz1)

##############################################orkclub######################################################
o=Bladex.CreateEntity("OrkClub","Varita7", 13000, -700, 50000,"Weapon")
o.Scale=1
o.Orientation=0.727026,-0.015552,-0.686425,0.003516
#ItemTypes.ItemDefaultFuncs (o)
darfuncs.SetHint(o,"Ork Club")


time=Bladex.GetTime()
TimeEffect=100000.0
AuraParams=(80, 1, 1, 0, 0, 0)
AuraGradient=(2, 0.5, 0.6, 0.0, 0.2, 0.0, 0.2, 0.3, 0.0, 0.1, 0.5)
aura=Auras.MakeAura("OrkClub", TimeEffect, AuraParams, (), (), AuraGradient)
pb=Bladex.CreateEntity("OrkClub"+"Particles", "Entity Particle System Dobj", 0.0, 0.0, 0.0)
pb.ObjectName="OrkClub"
pb.ParticleType="GasVenenoso"
pb.PPS=30
pb.YGravity=0.0
pb.Friction=0.02
pb.Velocity=0.0, 0.0, 0.0
pb.RandomVelocity=1.0
pb.NormalVelocity=0.0
pb.Time2Live=60
pb.DeathTime=time+TimeEffect/2.0


pers=Bladex.CreateEntity("ork2","Great_Ork",13000, -1118, 51250,"Person")
pers.Angle=2.3
pers.Level=lvl_control.GiveLevel(6, 19)
Actions.TakeObject(pers.Name,"OrkClub")


pers.Blind       = 0
pers.Deaf        = 0


EnemyTypes.EnemyDefaultFuncs(pers)

pers.SetOnFloor()

darfuncs.HideBadGuy("ork2")

darfuncs.EnterSecEvent(19500, -1100, 25000, unhideork2)



##################################################################################################################
o=Bladex.CreateEntity("Daga_1199","Daga",-33000,-200,16500, "Weapon")
o.Scale=1.2
o.Orientation=(0.999886393547,0.0149086723104,-0.00220375740901,-0.000277288607322)
o.Data=ItemTypes.BladeSword2Barbarian(o)
darfuncs.SetHint(o,"Blade of the Goddess")


#o.Data=def_class.Dagger(o)

######################################################################################scythe
o=Bladex.CreateEntity("Guadanya_1210","Guadanya",48724.4077775,-355.348129646,114204.13723, "Weapon")
o.Scale=1.0
o.Orientation=(0.724428653717,-0.240409940481,-0.55941349268,0.32320690155)
darfuncs.SetHint(o,"Ork Slasher")

########################################################################################
o=Bladex.CreateEntity("BarbSw1","LongSword",-43764.5443209,-237.473724996,116683.733904, "Weapon")
o.Scale=1.0
o.Orientation=(0.707106769085,0.0,-0.707106769085,0.0)

################### Lightning Bolt ##############
############ Define sectors that will trigger lightning bolt when entered:

sect121 = Bladex.GetSector(47250,-500,17250)
sect121.OnEnter = Lightning

#sect221 = Bladex.GetSector(47250,-500,15500)
#sect221.OnEnter = Lightning

sect321 = Bladex.GetSector(47250,-500,14000)
sect321.OnEnter = Lightning

#sect421 = Bladex.GetSector(47250,-500,12500)
#sect421.OnEnter = Lightning

sect521 = Bladex.GetSector(48500,-500,12500)
sect521.OnEnter = Lightning

#sect621 = Bladex.GetSector(50000,-500,12500)
#sect621.OnEnter = Lightning

sect721 = Bladex.GetSector(51250,-500,12500)
sect721.OnEnter = Lightning

#sect821 = Bladex.GetSector(51250,-500,14000)
#sect821.OnEnter = Lightning

sect921 = Bladex.GetSector(51250,-500,15500)
sect921.OnEnter = Lightning

#sect1021 = Bladex.GetSector(51250,-500,17250)
#sect1021.OnEnter = Lightning

#######################################################################################################################

        
##########################################################################################################################

o=Bladex.CreateEntity("Magicamulet3","Amuletofantasma",95000,2900,79750, Reference.ObjType("Amuletofantasma"))
o.Scale=1.0
o.Orientation=(0.746208488941,-0.0190880745649,0.665231764317,-0.0165910944343)
darfuncs.SetHint(o,"The Talisman of Aegis")
o.Data=def_class.AmuletoInvincibility(o)


##########################################################################################################################
#o=Bladex.CreateEntity("Magicamuletx","Amuletoserpiente",-40750,-200,105750, Reference.ObjType("Amuletofantasma"))
#o.Scale=1.0
#o.Orientation=(0.746208488941,-0.0190880745649,0.665231764317,-0.0165910944343)
#darfuncs.SetHint(o,"exprimental")

#Ontake.AddOnTakeEvent("Magicamuletx", AuraShieldUp)

##########################

#o=Bladex.CreateEntity("DalWeapon", "DalWeapon", 11000,-200,127000, "Weapon")
#o.Orientation=(0.746208488941,-0.0190880745649,0.665231764317,-0.0165910944343)
#o.Data=def_class.WeaponDal(o)

#######################################################################
#################firebombs
#o=Bladex.CreateEntity("Grenade1","Canica",15750,-200,127750, "Weapon")
#o.Scale=1.0
#o.Orientation=(0.430459350348,0.560985505581,0.560985505581,-0.43045938015)
#o.Data=def_class.Bomb(o)

o=Bladex.CreateEntity("Canica_1370","Canica",48650.2146938,-101.802982489,101930.616711, "Weapon")
o.Scale=1.0
o.Orientation=(0.890694618225,0.317549675703,0.0193959306926,-0.32472923398)
o.Data=def_class.Bomb(o)
darfuncs.SetHint(o,"Fire Bomb")

o=Bladex.CreateEntity("Canica_1371","Canica",56639.9586249,-4104.11873835,109785.539508, "Weapon")
o.Scale=1.0
o.Orientation=(0.875206649303,0.264074623585,0.158024281263,-0.373237520456)
o.Data=def_class.Bomb(o)
darfuncs.SetHint(o,"Fire Bomb")


o=Bladex.CreateEntity("Canica_1374","Canica",52837.9799252,-4101.02524399,30867.0506108, "Weapon")
o.Scale=1.0
o.Orientation=(0.888596773148,0.330502063036,0.0123731829226,-0.317822366953)
o.Data=def_class.Bomb(o)
darfuncs.SetHint(o,"Fire Bomb")

o=Bladex.CreateEntity("Canica_1375","Canica",68225.4732123,-9101.24697375,47707.786277, "Weapon")
o.Scale=1.0
o.Orientation=(0.892256915569,0.332716405392,-0.0378495231271,-0.302894085646)
o.Data=def_class.Bomb(o)
darfuncs.SetHint(o,"Fire Bomb")


o=Bladex.CreateEntity("Canica_1377","Canica",36800.4269746,-104.11849491,10188.3620189, "Weapon")
o.Scale=1.0
o.Orientation=(0.875206649303,0.264074623585,0.158024281263,-0.373237520456)
o.Data=def_class.Bomb(o)
darfuncs.SetHint(o,"Fire Bomb")

o=Bladex.CreateEntity("Canica_1378","Canica",16344.0397804,-13099.1836554,59208.6978462, "Weapon")
o.Scale=1.0
o.Orientation=(0.89361923933,0.300901204348,0.0632370635867,-0.32696211338)
o.Data=def_class.Bomb(o)
darfuncs.SetHint(o,"Fire Bomb")


o=Bladex.CreateEntity("Canica_1379","Canica",-25813.5155966,-101.854348284,-35817.5416166, "Weapon")
o.Scale=1.0
o.Orientation=(0.891550123692,0.321278691292,0.0206459015608,-0.31857830286)
o.Data=def_class.Bomb(o)
darfuncs.SetHint(o,"Fire Bomb")


o=Bladex.CreateEntity("Canica_1389","Canica",9458.61282992,-17097.1822665,-24787.8356937, "Weapon")
o.Scale=1.0
o.Orientation=(0.890356719494,0.31467205286,0.0223724059761,-0.328246623278)
o.Data=def_class.Bomb(o)
darfuncs.SetHint(o,"Fire Bomb")


o=Bladex.CreateEntity("Canica_1391","Canica",75618.8792881,-2013.75078472,-57063.7813619, "Weapon")
o.Scale=1.0
o.Orientation=(0.899775207043,0.273055821657,-0.128370583057,0.315223842859)
o.Data=def_class.Bomb(o)
darfuncs.SetHint(o,"Fire Bomb")


o=Bladex.CreateEntity("Canica_1392","Canica",47534.329001,-96.7041939139,21756.0581815, "Weapon")
o.Scale=1.0
o.Orientation=(0.887486755848,0.339790821075,-0.0312531851232,-0.309729993343)
o.Data=def_class.Bomb(o)
darfuncs.SetHint(o,"Fire Bomb")

o=Bladex.CreateEntity("Canica_1397","Canica",-60286.1260117,-16597.9373276,-6130.61344381, "Weapon")
o.Scale=1.0
o.Orientation=(0.885620772839,0.35505476594,-0.0916090831161,-0.284990787506)
o.Data=def_class.Bomb(o)
darfuncs.SetHint(o,"Fire Bomb")


o=Bladex.CreateEntity("Canica_1398","Canica",-5338.75569456,-17097.0096244,-1675.24106404, "Weapon")
o.Scale=1.0
o.Orientation=(0.897111475468,0.328089207411,-0.00722195627168,-0.295797735453)
o.Data=def_class.Bomb(o)
darfuncs.SetHint(o,"Fire Bomb")

o=Bladex.CreateEntity("Canica_1399","Canica",36297.2450646,-18120.836161,16397.3307023, "Weapon")
o.Scale=1.0
o.Orientation=(0.647288143635,-0.0541477240622,0.5659506917,0.507726252079)
o.Data=def_class.Bomb(o)
darfuncs.SetHint(o,"Fire Bomb")


o=Bladex.CreateEntity("Canica_1400","Canica",22340.4077759,-13097.178571,58726.1098875, "Weapon")
o.Scale=1.0
o.Orientation=(0.888238728046,0.304300099611,0.06769952178,-0.337416946888)
o.Data=def_class.Bomb(o)
darfuncs.SetHint(o,"Fire Bomb")


o=Bladex.CreateEntity("Canica_1401","Canica",43163.5698477,-10597.7005778,51204.6569323, "Weapon")
o.Scale=1.0
o.Orientation=(0.0799296572804,0.719444990158,0.455077767372,-0.518569588661)
o.Data=def_class.Bomb(o)
darfuncs.SetHint(o,"Fire Bomb")

o=Bladex.CreateEntity("Canica_1402","Canica",42237.4093664,-15100.0024888,35050.5048068, "Weapon")
o.Scale=1.0
o.Orientation=(0.898303329945,0.321420609951,0.0268649868667,-0.298359125853)
o.Data=def_class.Bomb(o)
darfuncs.SetHint(o,"Fire Bomb")


o=Bladex.CreateEntity("Canica_1403","Canica",19058.1220391,-106.699323785,36350.4297682, "Weapon")
o.Scale=1.0
o.Orientation=(0.890598893166,0.319320350885,0.0207445286214,-0.323168307543)
o.Data=def_class.Bomb(o)
darfuncs.SetHint(o,"Fire Bomb")


o=Bladex.CreateEntity("Canica_1417","Canica",101069.159564,9898.10423532,72722.1477587, "Weapon")
o.Scale=1.0
o.Orientation=(0.88401299715,0.320802807808,0.0243591070175,-0.339135944843)
o.Data=def_class.Bomb(o)
darfuncs.SetHint(o,"Fire Bomb")


o=Bladex.CreateEntity("Canica_1416","Canica",98408.4959208,9900.12588602,72350.0733835, "Weapon")
o.Scale=1.0
o.Orientation=(0.891487300396,0.313890486956,0.0328211337328,-0.325032144785)
o.Data=def_class.Bomb(o)
darfuncs.SetHint(o,"Fire Bomb")


o=Bladex.CreateEntity("Canica_1418","Canica",102570.808285,9893.09518637,75534.7915758, "Weapon")
o.Scale=1.0
o.Orientation=(0.891300857067,0.314482837915,0.030639514327,-0.325183957815)
o.Data=def_class.Bomb(o)
darfuncs.SetHint(o,"Fire Bomb")


#######################################################################
#######################cyanide star


o=Bladex.CreateEntity("Suriken_1372","Suriken",62641.2489264,-5616.42702583,81681.2690748, "Weapon")
o.Scale=1.0
o.Orientation=(0.992385804653,0.0303851198405,0.117774918675,0.0193970110267)
o.Data=def_class.Suriken(o)
darfuncs.SetHint(o,"Cyanide Star")


o=Bladex.CreateEntity("Suriken_1373","Suriken",77291.3873828,-5016.18027472,65833.4146795, "Weapon")
o.Scale=1.0
o.Orientation=(0.999282181263,0.00187409494538,0.0378236398101,-0.000983694451861)
o.Data=def_class.Suriken(o)
darfuncs.SetHint(o,"Cyanide Star")


o=Bladex.CreateEntity("Suriken_1380","Suriken",-7622.77061607,-1514.27081289,-21224.7153269, "Weapon")
o.Scale=1.0
o.Orientation=(1.0,0.0,0.0,0.0)
o.Data=def_class.Suriken(o)
darfuncs.SetHint(o,"Cyanide Star")


o=Bladex.CreateEntity("Suriken_1381","Suriken",45257.4453612,-1055.00862116,-56971.8655385, "Weapon")
o.Scale=1.0
o.Orientation=(1.0,0.0,0.0,0.0)
o.Data=def_class.Suriken(o)
darfuncs.SetHint(o,"Cyanide Star")


o=Bladex.CreateEntity("Suriken_1393","Suriken",78694.0559128,-4022.48618799,16022.1746742, "Weapon")
o.Scale=1.0
o.Orientation=(1.0,0.0,0.0,0.0)
o.Data=def_class.Suriken(o)
darfuncs.SetHint(o,"Cyanide Star")


o=Bladex.CreateEntity("Suriken_1395","Suriken",92064.0369072,-13019.5236774,-9907.68394663, "Weapon")
o.Scale=1.0
o.Orientation=(1.0,0.0,0.0,0.0)
o.Data=def_class.Suriken(o)
darfuncs.SetHint(o,"Cyanide Star")


o=Bladex.CreateEntity("Suriken_1408","Suriken",76441.0383045,-16.7116026263,4442.11021825, "Weapon")
o.Scale=1.0
o.Orientation=(1.0,0.0,0.0,0.0)
o.Data=def_class.Suriken(o)
darfuncs.SetHint(o,"Cyanide Star")


o=Bladex.CreateEntity("Suriken_1409","Suriken",54908.482219,-1765.59327648,7352.46930308, "Weapon")
o.Scale=1.0
o.Orientation=(1.0,0.0,0.0,0.0)
o.Data=def_class.Suriken(o)
darfuncs.SetHint(o,"Cyanide Star")


o=Bladex.CreateEntity("Suriken_1409a","Suriken",-4850,-18000,-23600, "Weapon")
o.Scale=1.0
o.Orientation=(1.0,0.0,0.0,0.0)
o.Impulse(0,0,0)
o.Data=def_class.Suriken(o)
darfuncs.SetHint(o,"Cyanide Star")


o=Bladex.CreateEntity("Suriken_1409b","Suriken",8650,-19000,-15780, "Weapon")
o.Scale=1.0
o.Orientation=(1.0,0.0,0.0,0.0)
o.Impulse(0,0,0)
o.Data=def_class.Suriken(o)
darfuncs.SetHint(o,"Cyanide Star")






########################################################################

#o=Bladex.CreateEntity("Meteorito_1394","Meteorito",86451.9556348,-12166.3591658,5012.2230263, Reference.ObjType("Meteorito"))
#o.Scale=0.4
#o.Orientation=(0.991330742836,-0.0426510088146,-0.000334180949721,-0.124274522066)
#########################################################################
o=Bladex.CreateEntity("Phurbhu_1267","Phurbhu",37383.1583504,-13200.2217116,-28095.2592156, "Weapon")
o.Scale=1.0
o.Orientation=(0.613772451878,0.611015915871,-0.353333383799,0.353692561388)
o.Data=def_class.Phurbhu(o)
darfuncs.SetHint(o,"Ice Rocket")



o=Bladex.CreateEntity("Phurbhu_1385","Phurbhu",35190.5558997,-17046.7622922,-35088.0272668, "Weapon")
o.Scale=1.0
o.Orientation=(0.970069944859,-0.000741211522836,-0.00776310637593,0.24270029366)
o.Data=def_class.Phurbhu(o)
darfuncs.SetHint(o,"Ice Rocket")

o=Bladex.CreateEntity("Phurbhu_1386","Phurbhu",35214.3020434,-17042.8082453,-34598.7548611, "Weapon")
o.Scale=1.0
o.Orientation=(0.813136160374,-0.134060561657,-0.514098227024,0.237782120705)
o.Data=def_class.Phurbhu(o)
darfuncs.SetHint(o,"Ice Rocket")

o=Bladex.CreateEntity("Phurbhu_1387","Phurbhu",35296.4843534,-17106.0579774,-35294.5919158, "Weapon")
o.Scale=1.0
o.Orientation=(0.592914581299,0.19171641767,0.755839467049,0.201006993651)
o.Data=def_class.Phurbhu(o)
darfuncs.SetHint(o,"Ice Rocket")

o=Bladex.CreateEntity("Phurbhu_1388","Phurbhu",34632.6286101,-17046.5801349,-34872.9691586, "Weapon")
o.Scale=1.0
o.Orientation=(0.110765390098,0.694673061371,-0.708929121494,-0.0507917962968)
o.Data=def_class.Phurbhu(o)
darfuncs.SetHint(o,"Ice Rocket")

o=Bladex.CreateEntity("Phurbhu_1407","Phurbhu",31206.2287598,-32.1466592569,7698.53544619, "Weapon")
o.Scale=1.0
o.Orientation=(0.953665852547,0.074717245996,0.150106146932,0.249813869596)
o.Data=def_class.Phurbhu(o)
darfuncs.SetHint(o,"Ice Rocket")





#############################################################################################################
o=Bladex.CreateEntity("Bo_1404","Bo",-32204.9362499,-682.566613886,42984.8180989, "Weapon")
o.Scale=1.0
o.Orientation=(0.991444885731,0.130526185036,0.0,0.0)
o.Alpha=0.01
darfuncs.SetHint(o,"Earthquake Stick")
	





